Summary: Utility to administer the Linux Virtual Server
Name: ipvsadm
Version: 1.14
Release: 5
Copyright: GNU General Public Licence
URL: http://www.LinuxVirtualServer.org/
Group: Applications/System
Source0: http://cheetah.linux-vs.org/software/kernel-2.4/ipvs-0.2.3.tar.gz
Source1: ipvsadm.init
Patch0: ipvs-config.patch
BuildRoot: %{_tmppath}/%name-%{PACKAGE_VERSION}-root
Provides: %{name}-%{version}
Conflicts: piranha <= 0.4.14
Requires: /sbin/service /sbin/chkconfig

%description
ipvsadm is a utility to administer the IP virtual server services
offered by the Linux kernel augmented with the virtual server patch.


%prep
%setup -n ipvs-0.2.3 -q
%patch0 -p1 -b .config

%build
cd ipvs/ipvsadm
CFLAGS="${RPM_OPT_FLAGS}" make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/{sbin,%{_mandir}/man8,etc/rc.d/init.d}
cd ipvs/ipvsadm
make BUILD_ROOT=${RPM_BUILD_ROOT} MAN=${RPM_BUILD_ROOT}/%{_mandir}/man8 install
install -m644 %{SOURCE1} ${RPM_BUILD_ROOT}/etc/rc.d/init.d/ipvsadm

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig -add ipvsadm

%preun
if [ $1 = 0 ]; then     # execute this only if we are NOT doing an upgrade
	/sbin/service ipvsadm stop  >/dev/null 2>&1
	/sbin/chkconfig --del ipvsadm
fi

%postun 
if [ "$1" -ge "1" ]; then 
	service ipvsadm  condrestart >/dev/null 2>&1 
fi


%files
%defattr(-,root,root)
%doc README
%config /etc/rc.d/init.d/ipvsadm
/sbin/*
%{_mandir}/man?/*


%changelog
* Tue Feb 13 2001 Than Ngo <than@redhat.com>
- update for building against kernel-2.4 (Bug #25402)
- clean up initscript
- add i18n
- remove excludearch ia64

* Tue Jan 16 2001 Tim Powers <timp@redhat.com>
- fix problems with man page and docs not being under /usr/share
- use chkconfig in post sections
- patched initscript to use condrestart

* Mon Jan 15 2001 Tim Powers <timp@redhat.com>
- excludearch ia64

* Thu Dec 30 2000 Wensong Zhang <wensong@linuxvirtualserver.org>
- update the %file section

* Thu Dec 17 2000 Wensong Zhang <wensong@linuxvirtualserver.org>
- Added a if-condition to keep both new or old rpm utility building
  the package happily.

* Tue Dec 12 2000 P.opeland <bryce@redhat.com>
- Small modifications to make the compiler happy in RH7 and the Alpha
- Fixed the documentation file that got missed off in building
  the rpm
- Made a number of -pedantic mods though popt will not compile with
  -pedantic

* Wed Aug 9 2000 Horms <horms@vergenet.net>
- Removed Obseletes tag as ipvsadm is back in /sbin where it belongs 
  as it is more or less analogous to both route and ipchains both of
  which reside in /sbin.
- Create directory to install init script into. Init scripts won't install
  into build directory unless this is done

* Thu Jul  6 2000 Wensong Zhang <wensong@linuxvirtualserver.org>
- Changed to build rpms on the ipvsadm tar ball directly

* Wed Jun 21 2000 P.Copeland <copeland@redhat.com>
- fixed silly install permission settings

* Mon Jun 19 2000 P.Copeland <copeland@redhat.com>
- Added 'dist' and 'rpms' to the Makefile
- Added Obsoletes tag since there were early versions
  of ipvsadm-*.rpm that installed in /sbin
- Obsolete tag was a bit vicious re: piranha

* Mon Apr 10 2000 Horms <horms@vergenet.net>
- created for version 1.9
